# TestExceptionFormat

enum TestExceptionFormat

Determines how exceptions are formatted in test logging.

## Entries

SHORT
Link copied to clipboard
SHORT

Short display of exceptions. Shows the exception types and locations as well as the hierarchy of causes, but not exception messages or full stack traces.

FULL
Link copied to clipboard
FULL

Full display of exceptions.

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): TestExceptionFormat

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<TestExceptionFormat>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.